# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiVolumeSampleRgbTemplate(ShaderAETemplate):
    def setup(self):
        self.beginScrollLayout()
        
        self.beginLayout('体积采样RGB属性', collapse=False)
        self.addControl('channel', label='通道')
        self.addControl('positionOffset', label='位置偏移')
        self.addControl('interpolation', label='插值')
        self.endLayout()
        
        self.beginLayout('颜色校正属性', collapse=False)
        
        self.addControl('gamma')
        self.addControl('hueShift', label='色相')
        self.addControl('saturation', label='饱和度')
        self.addControl('contrast', label='对比度')
        self.addControl('contrastPivot', label='透视对比')
        self.addControl('exposure', label='曝光')
        self.addControl('multiply', label='相乘')
        self.addControl('add', label='添加')

        self.endLayout()
        
        pm.mel.AEdependNodeTemplate(self.nodeName)
        
        self.addExtraControls()
        self.endScrollLayout()
